Download it now!
Bug 35800 - Printing - You have to print a document Twice before it prints
Summary: Printing - You have to print a document Twice before it prints
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-30 08:41 UTC by David C. Rankin
Modified: 2015-02-11 20:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David C. Rankin 2011-03-30 08:41:26 UTC
Guys,

  This is strange. This is libre OOO330m19 (Build:202) on Arch Linux i686. When I print a document the first time -- nothing happens. The printer is a standard HP Laserjet 4100n and the princap is:

# This file was automatically generated by cupsd(8) from the
# /etc/cups/printers.conf file.  All changes to this file
# will be lost.
dcr4100n|HP Laserjet 4100n:rm=providence:rp=dcr4100n:

  Printing a second time prints the document normally. I thought this was a fluke the first time it happened, but this is 100% repeatable -- every time -- in Libre. Printing from kde, etc.. prints the first time.  Let me know what other information will help and I'm happy to send.
Comment 1 David C. Rankin 2011-06-07 15:49:19 UTC
This bug is still present in 3.4 Released (build 12). I cannot explain it. All other apps print on the first attempt, but LO does not. Curiously, after hitting print twice, you can then print a subsequent document in LO by only hitting print once for a minute or two, but then if you don't print again for a couple of minutes, you are back to having to hit print twice.

If you can think of a test to run that might help diagnose this issue, please let me know and I'll be glad to try it and provide the data.
Comment 2 Alex Thurgood 2011-06-07 15:58:46 UTC
Hi David,

Just a thought, but does the document you are trying to print have a page break in it ? 

I am also wondering whether the first attempt to print sends the wrong page size to the printer, which then baulks, but because printing resets the status of the document, and possibly also refreshes the page size to the correct one, that the second printing attempt works fine. I suspect that when you open a new document, the page size gets reset to the wrong default for the printer, thereby preventing printing from occurring again.

I'm not sure how one could test for this :

- check the page size of the document before printing ?
- print to a PS file and look at the file thus generated to see what page size has been defined in the postscript output ?
- pipe the output of the print operation to a console ?

I'm afraid I don't know enough about printer spooling to say for certain how you would intercept the data being sent to the printer queue and be able to read it.

Alex
Comment 3 Björn Michaelsen 2011-12-23 11:47:15 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 4 David C. Rankin 2012-04-12 20:49:22 UTC
This bug is still present in 3.5.1-1. There appears to be some 90-120 second print timeout that occurs after Libre is started. If you print during that period, you print fine. If you don't, then you can hit print as many times as you want and nothing prints. All other apps - kde, etc.. continue to print normally. This issues affects both Libre and Apache OpenOffice, so there appears to be a bug in the common code as it relates to printing.
Comment 5 Valentin Höbel 2012-11-16 08:30:46 UTC
This sounds like:
  https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1020048
  https://bugs.freedesktop.org/show_bug.cgi?id=56344
  https://bugs.freedesktop.org/show_bug.cgi?id=50784

According to these bugs, Libre Office runs in CUPS timeouts. Are you using CUPS as a printer server?
Comment 6 bfoman (inactive) 2013-08-15 21:37:00 UTC
@David C. Rankin:
Could you answer question in comment 5? Also, is this bug still reproducible in latest version of LibreOffice and your Linux distro?
Comment 7 tommy27 2014-01-01 14:53:19 UTC
changing status to NEEDINFO waiting for user feedback about current Lib release (actually 4.1.4.2 is available)
Comment 8 QA Administrators 2014-08-04 16:17:39 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 9 David C. Rankin 2014-08-08 15:23:56 UTC
Yes, I am using cups as the print server. From the original post:

# This file was automatically generated by cupsd(8) from the
# /etc/cups/printers.conf file.  All changes to this file
# will be lost.
dcr4100n|HP Laserjet 4100n:rm=providence:rp=dcr4100n:

The printer is shared from a central server running cups 1.7.4-1 (currently)
Comment 10 ign_christian 2014-08-08 15:50:09 UTC
(In reply to comment #4)
> This bug is still present in 3.5.1-1. There appears to be some 90-120 second
> print timeout that occurs after Libre is started. If you print during that
> period, you print fine. If you don't, then you can hit print as many times
> as you want and nothing prints. 
As far as I remember I also experienced same issue with Kubuntu 12.04 PCs & LO 4.0.
But it happens with samba share, issue resolved if using ipp/cups -> cups 1.5.3 (default from Ubuntu official repository)

@David, I don't know in Arch, but could you try reverting to 1.5.3?

It works in Ubuntu 12.04 (Precise):
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1020048/comments/59
Comment 11 tommy27 2014-10-10 06:45:08 UTC
@David C. Rankin
please retest according to previous post instructions with latest LibO release.
in the meantime I set status to NEEDINFO

then give feedback and set status to RESOLVED WORKSFORME if issue is gone or back to UNCONFIRMED if bug is still there
Comment 12 QA Administrators 2015-02-11 20:00:09 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 

Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-02-11